---
agentTools:
  projectIndex: https://validto.readme.io/llms.txt
---

# Requests - URL Formats

The Public API format supports authentication via API key authentication. It has the format:

```text Example Request
https://{hostname}/{api-version}/{path}?[parameters]
```

For the Public API format, the components of the URL are:

* hostname: api.validto.com
* api-version: The API versions required to use in the path, for example `v1`.
* path: The api method you are requesting.
* parameters: These parameters are supplied to the query-path.

## Example Request:

### Single Validation:

```text Example Request
https://api.validto.com/v1/verify?apikey=963sfewkjtyj55tem&email=admin@yahoo.co.in
```

### Bulk Validation:

#### Create Bulk Validation:

```text Example Request
https://api.validto.com/v1/bulk?apikey=963sfewkjtyj55tem
```

#### Verify Bulk Validation:

```text Example Request
https://api.validto.com/v1/bulk/e7sb72fbi3a93s4aitfayvardxa3qiqvffxy?apikey=963sfewkjtyj55tem
```

#### Check List Status:

```text Example Request
https://api.validto.com/v1/bulk/e7sb72fbi3a93s4aitfayvardxa3qiqvffxy?apikey=963sfewkjtyj55tem
```

#### Download Bulk List:

```text Example Request
https://api.validto.com/v1/download?jobId=e7sb72fbi3a93s4aitfayvardxa3qiqvffxy&apikey=963sfewkjtyj55teme7sb72fbi3a93s4aitfayvardxa3qiqvffxy
```

#### Delete Bulk List:

```text Example Request
https://api.validto.com/v1/bulk/e7sb72fbi3a93s4aitfayvardxa3qiqvffxy?apikey=963sfewkjtyj55tem
```

<br />

## Parameters

### For Single Validation

#### Query params:

`apikey:` Your API Key obtained from your ValidTo account.

`email:` The email address to be verified.

### For Bulk Validation

#### Query Parameters

`apikey:` Your API Key obtained from your ValidTo account.

`jobId:` The ID of the job to download.

#### Path Parameters

`job_id:` The job ID corresponding to the list you need to start verification manually, check list status, or delete.

#### Body Parameters

`local_file:` The bulk email list to upload in .csv format for the bulk validation upload.

`auto_verify:` Auto verify allows starting verification instantly while uploading the list.

`RAW_BODY:` The required action to start the verification. Example: { "action" : "start" }. Provide the results type to include in the download file.

`filterResult:` (For downloading verification list) The results types to include in the download file. Example: \["deliverable", "undeliverable", "accept\_all", "unknown"].

## Headers

Include the following headers in your API requests:

`Accept:` text/plain.\
`Content-Type:` application/json for requests with JSON bodies.

```text Example Request
GET /v1/verify?apikey=963sfewkjtyj55tem&email=admin@yahoo.co.in HTTP/1.1
Host: api.validto.com
Accept: text/plain
Content-Type: application/json
```